# Get

Launch stage: GA

`GET /api/2.1/unity-catalog/external-locations/{name_arg}`

Gets an external location from the metastore.
 The caller must be either a metastore admin, the owner of the external location, or a user that has some privilege on the external location.

API scopes: unity-catalog

## Path parameters

- `name_arg` (string, optional)
  Name of the external location.

## Query parameters

- `include_browse` (boolean, optional)
  Whether to include external locations in the response for which the principal can only access selective metadata for

## Returns

Returns the ExternalLocationInfo object.

## Response

```json
{
  "name": "string",
  "url": "string",
  "credential_name": "string",
  "read_only": true,
  "comment": "string",
  "enable_file_events": true,
  "file_event_queue": {
    "provided_aqs": {},
    "provided_sqs": {},
    "provided_pubsub": {},
    "managed_aqs": {},
    "managed_sqs": {},
    "managed_pubsub": {}
  },
  "owner": "string",
  "encryption_details": {
    "sse_encryption_details": {}
  },
  "metastore_id": "string",
  "credential_id": "string",
  "created_at": 0,
  "created_by": "string",
  "updated_at": 0,
  "updated_by": "string",
  "browse_only": true,
  "isolation_mode": "string",
  "fallback": true,
  "effective_enable_file_events": true,
  "effective_file_event_queue": {
    "provided_aqs": {},
    "provided_sqs": {},
    "provided_pubsub": {},
    "managed_aqs": {},
    "managed_sqs": {},
    "managed_pubsub": {}
  }
}
```

